/*  $Revision: 1.2 $
**
**  A "micro-shell" to test editline library.
**  If given any arguments, commands aren't executed.
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#ifdef QDOS
# include <unistd.h>
# include <qdos.h>
#include <pd/ansicondef.h>
int (*_conwrite)(void *,void *,unsigned int) = ANSI_conwrite;

struct WINDOWDEF _condetails =
{
    2,1,0,4,484,252,12,2
};

#endif
#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif 

extern void rl_initialize( void );
extern char *readline( char *, int );
extern void *add_history( char * );

char *luxptr = NULL ;
int silent = 0 ;

/* ARGSUSED1 */
int
main(ac, av)
    int		ac;
    char	*av[];
{
    char	*p;
    int		doit;

    doit = ac == 1;
#ifdef QDOS
     __ANSICONF__.emulation = VT100;
#endif
	rl_initialize();
    while ((p = readline("testit> ", TRUE )) != NULL) {
	if( strncmp( p, "quit", 4) == 0 )
	break; 	
	(void)printf("\t\t\t|%s|\n", p);
	if (doit)
	    if (strncmp(p, "cd ", 3) == 0) {
		if (chdir(&p[3]) < 0)
		    perror(&p[3]);
	    }
	    else if (system(p) != 0)
		perror(p);
	add_history(p);
	free(p);
    }
    exit(0);
    /* NOTREACHED */
}
